> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Unfollow Message > Unfollow a message. ### Changelog | Version | Description | | ---------------- | ------------| | 8.9.0 | Changed the rate limit to 5 requests every 5 seconds per client IP address. | | 1.0.0 | Added | ## OpenAPI ````json POST /api/v1/chat.unfollowMessage { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.unfollowMessage": { "post": { "tags": [ "Chat" ], "summary": "Unfollow Message", "description": "Unfollow a message.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n| 8.9.0 | Changed the rate limit to 5 requests every 5 seconds per client IP address. |\n| 1.0.0 | Added |", "operationId": "post-api-v1-chat.unfollowMessage", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "mid": { "type": "string", "description": "The message ID to unfollow." } }, "required": [ "mid" ] }, "examples": { "Example 1": { "value": { "mid": "7aDSXtjMA3KPLxLjt" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "[The required \"mid\" body param is missing.]", "errorType": "The required \"mid\" body param is missing." } }, "Invalid message ID": { "value": { "success": false, "error": "Invalid message [error-invalid-message]", "errorType": "error-invalid-message", "details": { "method": "unfollowMessage" } } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````